Last Comment Bug 697657 - test_bug470377_2.js test_prefs_store.js test_AddonRepository.js test_bug470377_1.js test_dss.js test_theme.js test_LightweightThemeManager.js test_bug335238.js: ASSERTION: RECURSION_LEVEL(table_) > 0|op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0
: test_bug470377_2.js test_prefs_store.js test_AddonRepository.js test_bug47037...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: Preferences: Backend (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 714450
Blocks: 438871 700984
  Show dependency treegraph
 
Reported: 2011-10-26 21:05 PDT by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2011-10-26 21:05:08 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7052311&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-10-26 20:18:53 PDT for push 3b5b10d76887

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_AddonRepository.js | test failed (with xpcshell return code: 1), see following log:
...
###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file /builds/slave/m-in-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 708
mozilla::scache::PathifyURI(nsIURI*, nsACString_internal&)+0x0000ADF5 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x005CC015]
NS_InvokeByIndex_P+0x000002E3 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01F827A3]
xpc_LocalizeContext(JSContext*)+0x0001B24C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01607F4C]
xpc_LocalizeContext(JSContext*)+0x0002F5D6 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0161C2D6]
JS_HashTableEnumerateEntries+0x00065A00 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF990]
JS_HashTableEnumerateEntries+0x00031710 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000AB6A0]
...

https://tbpl.mozilla.org/php/getParsedLog.php?id=7048262&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-10-26 17:17:04 PDT for push 39fa89ebe5e2

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug470377_1.js | test failed (with xpcshell return code: 1), see following log:
...
###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file /builds/slave/m-in-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 708
mozilla::scache::PathifyURI(nsIURI*, nsACString_internal&)+0x0000ACD5 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x005CA6A5]
catch_exception_raise+0x000AA1CC [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046B43C]
catch_exception_raise+0x000AA53E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046B7AE]
catch_exception_raise+0x000AA6C1 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046B931]
catch_exception_raise+0x000AD99E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046EC0E]
...

https://tbpl.mozilla.org/php/getParsedLog.php?id=7036423&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-10-26 04:10:12 PDT for push 6780aa86cf87

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | test failed (with xpcshell return code: 1), see following log:
...
###!!! ASSERTION: op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0: 'op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0', file /builds/slave/m-in-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 613
mozilla::scache::PathifyURI(nsIURI*, nsACString_internal&)+0x00009E38 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x005C9BA8]
NS_InvokeByIndex_P+0x000002E3 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01F7DC23]
xpc_LocalizeContext(JSContext*)+0x0001B24C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0160313C]
xpc_LocalizeContext(JSContext*)+0x0002F5D6 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x016174C6]
JS_HashTableEnumerateEntries+0x00065AE0 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF370]
JS_HashTableEnumerateEntries+0x000317C0 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000AB050]
Comment 1 Treeherder Robot 2011-10-28 13:49:00 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7087838&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test xpcshell on 2011-10-28 13:10:53

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_dss.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_dss.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 2 Treeherder Robot 2011-10-28 16:25:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7029604&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-10-25 17:58:50

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_AddonRepository.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_AddonRepository.js | application crashed (minidump found)
Thread 12 (crashed)
Comment 3 Treeherder Robot 2011-10-28 16:29:59 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=6988435&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-10-22 11:57:15

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug470377_1.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug470377_1.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 4 Dave Townsend [:mossop] 2011-10-28 16:30:45 PDT
Going to claim this isn't the add-ons manager at fault, the pref service is in all of the stacks though nsCacheService is in a bunch of them, so maybe bug 681546 makes sense?
Comment 5 Phil Ringnalda (:philor) 2011-10-28 16:37:27 PDT
That last one, the first time it happened, being from https://hg.mozilla.org/integration/mozilla-inbound/rev/66f51670652f, which kind of contributed to my willingness to blame you.
Comment 7 Matt Brubeck (:mbrubeck) 2011-10-31 11:07:03 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7124625&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test xpcshell on 2011-10-31 10:16:59 PDT for push 4271b14e0c0b

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
>>>>>>>
### XPCOM_MEM_LEAK_LOG defined -- logging leaks to /var/folders/Hs/HsDn6a9SG8idoIya6p9mtE+++TI/-Tmp-/tmpohAydi/runxpcshelltests_leaks.log

TEST-INFO | (xpcshell/head.js) | test 1 pending
*** LOG addons.manager: Application has been upgraded
*** LOG addons.xpi: startup
*** LOG addons.xpi: checkForChanges
*** LOG addons.xpi: Opening database
*** LOG addons.xpi: Migrating data from extensions.rdf
*** LOG addons.xpi: Creating database schema
WARNING: 1 sort operation has occurred for the SQL statement '0x117b43478'.  See https://developer.mozilla.org/En/Storage/Warnings details.: file /builds/slave/m-cen-osx64-dbg/build/storage/src/mozStoragePrivateHelpers.cpp, line 144
*** LOG addons.xpi: No changes found
*** LOG addons.xpi: Add-ons list is missing, recreating
*** LOG addons.xpi: Writing add-ons list

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 30] object == object

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 34] object == object

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 35] 0 == 0

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 36] null == null

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 39] 0 == 0

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 40] null == null

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 43] 0 == 0

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | [run_test : 44] null == null
###!!! ASSERTION: op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0: 'op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0', file /builds/slave/m-cen-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 613
mozilla::scache::PathifyURI(nsIURI*, nsACString_internal&)+0x00009F58 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x005CCEA8]
NS_InvokeByIndex_P+0x000002E3 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01FA11F3]
xpc_LocalizeContext(JSContext*)+0x00023B59 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01628A19]
xpc_LocalizeContext(JSContext*)+0x0001A59C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0161F45C]
xpc_LocalizeContext(JSContext*)+0x0002FC06 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01634AC6]
JS_HashTableEnumerateEntries+0x00065670 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF390]
JS_HashTableEnumerateEntries+0x0003174C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000AB46C]
JS_HashTableEnumerateEntries+0x0006458D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DE2AD]
JS_HashTableEnumerateEntries+0x000658A6 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF5C6]
js::DumpHeapComplete(JSContext*, __sFILE*)+0x000018F9 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x022D1F59]
JS_HashTableEnumerateEntries+0x00065670 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF390]
JS_HashTableEnumerateEntries+0x0003174C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000AB46C]
JS_HashTableEnumerateEntries+0x0006458D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DE2AD]
JS_HashTableEnumerateEntries+0x000658A6 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF5C6]
JS_NewPropertyIterator+0x0000D59E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x02294C2E]
JS_NewPropertyIterator+0x0000DF12 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x022955A2]
JS_HashTableEnumerateEntries+0x00065670 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF390]
JS_HashTableEnumerateEntries+0x0003174C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000AB46C]
JS_HashTableEnumerateEntries+0x0006458D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DE2AD]
JS_HashTableEnumerateEntries+0x000658A6 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DF5C6]
JS_HashTableEnumerateEntries+0x00066BBE [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000E08DE]
JS_HashTableEnumerateEntries+0x00066D72 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000E0A92]
js_GetClassPrototype(JSContext*, JSObject*, JSProtoKey, JSObject**, js::Class*)+0x00003CA4 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x00102744]
js_FindProperty(JSContext*, jsid, bool, JSObject**, JSObject**, JSProperty**)+0x000043E3 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000F76F3]
js_FindProperty(JSContext*, jsid, bool, JSObject**, JSObject**, JSProperty**)+0x00005496 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000F87A6]
JS_HashTableEnumerateEntries+0x00031493 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000AB1B3]
JS_HashTableEnumerateEntries+0x0006458D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DE2AD]
JS_HashTableEnumerateEntries+0x000649DC [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x000DE6FC]
JS_GetTypeInferenceMemoryStats+0x000032D0 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x022E8E70]
JS_DefineObject+0x00000F7E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0228016E]
JS_EvaluateScriptForPrincipals+0x0000009D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x022806ED]
ProcessArgs(JSContext*, JSObject*, char**, int)+0x0000051E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/xpcshell +0x00004F2E]
main+0x00001627 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/xpcshell +0x00006697]
###!!! ASSERTION: op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0: 'op == PL_DHASH_LOOKUP || RECURSION_LEVEL(table) == 0', file /builds/slave/m-cen-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 613
<<<<<<<
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Comment 8 Treeherder Robot 2011-10-31 13:04:49 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7125995&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011-10-31 12:00:08

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 9 Matt Brubeck (:mbrubeck) 2011-10-31 13:26:20 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7082768&tree=Build-System
Rev4 MacOSX Snow Leopard 10.6 build-system debug test xpcshell on 2011-10-28 09:20:56 PDT for push 5a26ca9a23f9

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | test failed (with xpcshell return code: 1), see following log:
>>>>>>>
### XPCOM_MEM_LEAK_LOG defined -- logging leaks to /var/folders/Hs/HsDn6a9SG8idoIya6p9mtE+++TI/-Tmp-/tmp3oJeek/runxpcshelltests_leaks.log
Setting the identity for passphrase

TEST-INFO | (xpcshell/head.js) | test 1 pending
Test fixtures.
The GUID corresponds to XUL App ID.

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 40] 1 == 1

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 41] ezNlM2JhMTZjLTE2NzUtNGU4OC1iOWM4LWFmZWY4MWIzZDJlZn0= == ezNlM2JhMTZjLTE2NzUtNGU4OC1iOWM4LWFmZWY4MWIzZDJlZn0=

TEST-PASS | undefined | [undefined : undefined] true == true

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 44] true == true

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 45] false == false
Unknown prefs record is created as deleted.

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 49] true == true
Prefs record contains only prefs that should be synced.

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 53] 123 == 123

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 54] ohai == ohai

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 55] true == true

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 56] null == null

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 57] false == false

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 58] false == false
Prefs record contains pref sync prefs too.

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 61] true == true

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 62] true == true


Skipping 5 lines...

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 66] true == true
Update some prefs, including one that's to be reset/deleted.

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 79] 42 == 42

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 80] im in ur prefs == im in ur prefs

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 81] false == false

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 82] undefined == undefined

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 83] Please don't change me. == Please don't change me.

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 84] true == true
Enable persona

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 90] false == false

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 91] null == null

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 101] true == true

TEST-PASS | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | [run_test : 103] true == true
Disable persona
###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file /builds/slave/bld-system-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 708
mozilla::scache::PathifyURI(nsIURI*, nsACString_internal&)+0x0000ADF5 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x005CC965]
catch_exception_raise+0x000AA73C [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046CDFC]
catch_exception_raise+0x000AAAAE [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046D16E]
catch_exception_raise+0x000AAC31 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0046D2F1]
catch_exception_raise+0x000ADF0E [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x004705CE]
catch_exception_raise+0x000B0256 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x00472916]
catch_exception_raise+0x000B1A5D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0047411D]
XRE_AddJarManifestLocation+0x0000716B [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01F76EEB]
XRE_ChildProcessTypeToString+0x0000DE7D [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x0001000D]
XRE_AddJarManifestLocation+0x000087FD [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/XUL +0x01F7857D]
PR_JoinThread+0x000001D6 [/Users/cltbld/talos-slave/test/build/NightlyDebug.app/Contents/MacOS/libnspr4.dylib +0x00022DE6]
_pthread_start+0x0000014B [/usr/lib/libSystem.B.dylib +0x00039FD6]
###!!! ASSERTION: RECURSION_LEVEL(table_) > 0: 'RECURSION_LEVEL(table) > 0', file /builds/slave/bld-system-osx64-dbg/build/obj-firefox/xpcom/build/pldhash.cpp, line 708
<<<<<<<
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | application crashed (minidump found)
Comment 10 Treeherder Robot 2011-11-01 07:27:42 PDT
khuey
https://tbpl.mozilla.org/php/getParsedLog.php?id=7140824&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-01 05:20:15

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 11 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-01 07:30:26 PDT
https://tbpl.mozilla.org/php/getParsedLog.php?id=7138751&tree=Mozilla-Inbound&full=1
Comment 12 Treeherder Robot 2011-11-01 09:43:13 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7144190&tree=Mozilla-Inbound
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-inbound debug test xpcshell on 2011-11-01 09:13:07

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | application crashed (minidump found)
Thread 9 (crashed)
Comment 13 Treeherder Robot 2011-11-01 15:02:50 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7149354&tree=Firefox
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test xpcshell on 2011-11-01 14:04:26

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 8 (crashed)
Comment 15 Treeherder Robot 2011-11-02 09:10:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7148740&tree=Fx-Team
Rev4 MacOSX Snow Leopard 10.6 fx-team debug test xpcshell on 2011-11-01 13:35:50

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_theme.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_theme.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 16 Treeherder Robot 2011-11-02 19:15:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7174452&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-11-02 18:44:57

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_theme.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_theme.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 17 Treeherder Robot 2011-11-03 02:59:09 PDT
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=7166294&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test xpcshell on 2011-11-02 11:22:03

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_theme.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_theme.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 18 Treeherder Robot 2011-11-03 13:14:33 PDT
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7187304&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test xpcshell on 2011-11-03 10:52:49

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_bug335238.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_bug335238.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 19 Treeherder Robot 2011-11-04 15:17:39 PDT
terrence
https://tbpl.mozilla.org/php/getParsedLog.php?id=7213199&tree=Try
Rev3 MacOSX Snow Leopard 10.6.2 try debug test xpcshell on 2011-11-04 12:20:57

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_dss.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_dss.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 21 Treeherder Robot 2011-11-07 14:24:51 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7262221&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-11-07 13:57:39

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 22 Treeherder Robot 2011-11-09 09:12:49 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7308575&tree=Mozilla-Inbound
Rev3 Fedora 12x64 mozilla-inbound debug test xpcshell on 2011-11-09 07:50:15

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/image/test/unit/test_imgtools.js | test failed (with xpcshell return code: 0), see following log:
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/image/test/unit/test_imgtools.js | 1078 == 1081 - See following stack:
TEST-UNEXPECTED-FAIL | (xpcshell/head.js) | FAILED in test #2 -- test encoding a scaled JPEG: 2147500036
TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 23 Treeherder Robot 2011-11-12 08:26:37 PST
zackw%panix.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7362595&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test xpcshell on 2011-11-11 21:52:52

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug470377_2.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug470377_2.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 24 Treeherder Robot 2011-11-15 23:48:48 PST
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7414547&tree=Try
Rev3 Fedora 12x64 try debug test xpcshell on 2011-11-15 15:34:27

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 25 Treeherder Robot 2011-11-21 13:24:19 PST
sworkman
https://tbpl.mozilla.org/php/getParsedLog.php?id=7513210&tree=Try
Rev3 WINNT 5.1 try debug test xpcshell on 2011-11-21 12:29:00

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 26 Treeherder Robot 2011-11-27 23:28:15 PST
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7603995&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2011-11-27 12:15:46

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | application crashed (minidump found)
Thread 10 (crashed)
Comment 27 Treeherder Robot 2011-12-05 22:59:53 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7766040&tree=Mozilla-Inbound
Rev3 Fedora 12 mozilla-inbound debug test xpcshell on 2011-12-05 22:17:57

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 28 Treeherder Robot 2011-12-08 17:25:20 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=7838416&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2011-12-08 16:04:02

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\toolkit\mozapps\extensions\test\xpcshell-unpack\test_bug470377_1.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\toolkit\mozapps\extensions\test\xpcshell-unpack\test_bug470377_1.js | application crashed (minidump found)
Thread 12 (crashed)
Comment 29 Treeherder Robot 2011-12-14 17:47:47 PST
mbrubeck%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=7942457&tree=Firefox
Rev4 MacOSX Snow Leopard 10.6 mozilla-central debug test xpcshell on 2011-12-14 17:23:39

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_theme.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_theme.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 30 Treeherder Robot 2011-12-16 01:37:11 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=7973930&tree=Try
Rev4 MacOSX Snow Leopard 10.6 try debug test xpcshell on 2011-12-15 22:26:51

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 31 Treeherder Robot 2011-12-20 18:01:32 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8072791&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-12-20 15:41:28

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_dss.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_dss.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 32 Treeherder Robot 2011-12-21 19:21:03 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8098659&tree=Mozilla-Beta
Rev4 MacOSX Snow Leopard 10.6 mozilla-beta debug test xpcshell on 2011-12-21 17:47:05

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 33 Matt Brubeck (:mbrubeck) 2011-12-27 16:53:33 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8182262&tree=Mozilla-Aurora
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\extensions\cookie\test\unit\test_cookies_read.js | test failed (with xpcshell return code: -2147483645), see following log:
Comment 34 Treeherder Robot 2011-12-28 06:35:15 PST
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=8193694&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-12-28 05:04:10

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 35 Treeherder Robot 2011-12-29 15:24:26 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8219724&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2011-12-29 14:23:05

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/services/sync/tests/unit/test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 36 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-12-31 07:42:14 PST
There are multiple underlying bugs here; the log in comment 33 is Bug 714450.
Comment 37 Treeherder Robot 2012-01-01 15:40:11 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8268335&tree=Mozilla-Inbound
Rev4 MacOSX Snow Leopard 10.6 mozilla-inbound debug test xpcshell on 2012-01-01 14:55:27

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 38 Treeherder Robot 2012-01-05 13:11:09 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8355599&tree=Mozilla-Inbound
Rev3 MacOSX Leopard 10.5.8 mozilla-inbound debug test xpcshell on 2012-01-05 12:37:46

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_AddonRepository.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_AddonRepository.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 39 Treeherder Robot 2012-01-17 17:02:47 PST
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=8621566&tree=Mozilla-Aurora
Rev4 MacOSX Snow Leopard 10.6 mozilla-aurora debug test xpcshell on 2012-01-17 16:12:25

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_dss.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 40 Treeherder Robot 2012-02-29 16:42:26 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=9729072&tree=Mozilla-Esr10
Rev3 WINNT 5.1 mozilla-esr10 debug test xpcshell on 2012-02-29 15:33:56

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | C:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 41 Treeherder Robot 2012-03-23 14:33:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10289982&tree=Mozilla-Esr10
Rev3 WINNT 5.1 mozilla-esr10 debug test xpcshell on 2012-03-22 13:07:25

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 42 Treeherder Robot 2012-04-12 21:06:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10861491&tree=Mozilla-Esr10
Rev3 WINNT 5.1 mozilla-esr10 debug test xpcshell on 2012-04-12 19:52:20

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | C:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 43 Kyle Huey [:khuey] (khuey@mozilla.com) 2012-04-12 21:12:33 PDT
Haven't seen this on trunk in some time.
Comment 44 Treeherder Robot 2012-04-26 02:17:51 PDT
jfkthame
https://tbpl.mozilla.org/php/getParsedLog.php?id=11221504&tree=Mozilla-Esr10
Rev4 MacOSX Snow Leopard 10.6 mozilla-esr10 debug test xpcshell on 2012-04-26 01:58:12
slave: talos-r4-snow-004

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug335238.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell-unpack/test_bug335238.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 45 Treeherder Robot 2012-07-06 16:49:19 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=13302243&tree=Mozilla-Esr10
Rev3 WINNT 5.1 mozilla-esr10 debug test xpcshell on 2012-07-06 15:39:38
slave: talos-r3-xp-062

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\services\sync\tests\unit\test_prefs_store.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 46 Treeherder Robot 2012-08-31 16:04:08 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=14881045&tree=Mozilla-Esr10
Rev4 MacOSX Snow Leopard 10.6 mozilla-esr10 debug test xpcshell on 2012-08-31 10:52:15
slave: talos-r4-snow-077

TEST-UNEXPECTED-FAIL | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_theme.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /Users/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_theme.js | application crashed (minidump found)
Thread 16 (crashed)
Comment 47 Treeherder Robot 2012-09-30 14:23:52 PDT
cpearce
https://tbpl.mozilla.org/php/getParsedLog.php?id=15686569&tree=Mozilla-Esr10
Rev3 Fedora 12 mozilla-esr10 debug test xpcshell on 2012-09-30 13:34:27
slave: talos-r3-fed-073

TEST-UNEXPECTED-FAIL | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | test failed (with xpcshell return code: 1), see following log:
PROCESS-CRASH | /home/cltbld/talos-slave/test/build/xpcshell/tests/toolkit/mozapps/extensions/test/xpcshell/test_LightweightThemeManager.js | application crashed (minidump found)
Thread 8 (crashed)

Note You need to log in before you can comment on or make changes to this bug.